Package org.apache.sysds.runtime.io.hdf5.message

# Class H5DataLayoutMessage

java.lang.Object
org.apache.sysds.runtime.io.hdf5.message.H5Message
org.apache.sysds.runtime.io.hdf5.message.H5DataLayoutMessage

public class H5DataLayoutMessage extends H5Message

## Field Summary

Fields
Modifier and Type
Field
Description
`static final byte`
`LAYOUT_CLASS_CHUNKED`
`static final byte`
`LAYOUT_CLASS_COMPACT`
`static final byte`
`LAYOUT_CLASS_CONTIGUOUS`
`static final byte`
`LAYOUT_CLASS_VIRTUAL`

## Constructor Summary

Constructors
Constructor
Description
`H5DataLayoutMessage(H5RootObject rootObject, BitSet flags, long address, long size)`
`H5DataLayoutMessage(H5RootObject rootObject, BitSet flags, ByteBuffer bb)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getAddress()`
`byte`
`getLayoutClass()`
`byte`
`getLayoutVersion()`
`long`
`getSize()`
`void`
`toBuffer(H5BufferBuilder bb)`

### Methods inherited from class org.apache.sysds.runtime.io.hdf5.message.H5Message

`readObjectHeaderMessage`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LAYOUT_CLASS_COMPACT

public static final byte LAYOUT_CLASS_COMPACT

See Also:
  - Constant Field Values

### LAYOUT_CLASS_CONTIGUOUS

public static final byte LAYOUT_CLASS_CONTIGUOUS

See Also:
  - Constant Field Values

### LAYOUT_CLASS_CHUNKED

public static final byte LAYOUT_CLASS_CHUNKED

See Also:
  - Constant Field Values

### LAYOUT_CLASS_VIRTUAL

public static final byte LAYOUT_CLASS_VIRTUAL

See Also:
  - Constant Field Values

## Constructor Details

### H5DataLayoutMessage

public H5DataLayoutMessage(H5RootObject rootObject, BitSet flags, ByteBuffer bb)

### H5DataLayoutMessage

public H5DataLayoutMessage(H5RootObject rootObject, BitSet flags, long address, long size)

## Method Details

### toBuffer

public void toBuffer(H5BufferBuilder bb)

### getAddress

public long getAddress()

### getSize

public long getSize()

### getLayoutClass

public byte getLayoutClass()

### getLayoutVersion

public byte getLayoutVersion()